STRSORT(3)

NAME
strsort - array heap sort

SYNOPSIS
    #include <ast.h>
    void    strsort(char** array, int elements, int (*compare)(const char* a, const char* b));

DESCRIPTION
does a heap sort on the array of pointers array with elements elements using the comparison function compare. compare returns if a is lexicographically less than b, if a is equal to b, and if a is lexicographically greater than b.